<input type="button" id="reset-button" value="Reset search form" style="width: 200px; font-size: 16px;"/>
<h3>Input: Amino acid sequence</h3>
<textarea id="aa-input" style="width: 600px;height:400px;"></textarea>
<br>
<input type="button" id="search-button" value="Search for IDs" style="width: 600px; height: 50px; font-size: 20px;"/>
<br>Searches all datasets simultaneously.<br>

<h3>Output: Matching IDs</h3>
<div id="output" style="font-family: monospace; font-weight: bold; font-size: 30px;"></div>

<script type="text/javascript">
  var output = document.getElementById("output");
  function reqListener () {
    var j = JSON.parse(this.responseText);
    if (j.hits == undefined) {
      output.innerHTML = "Invalid input";
    }
    var hits = j.hits.hits;
    output.innerHTML = "";
    for (var i = 0; i < hits.length; i++) {
      output.innerHTML += hits[i]._source.geneid + "<br>";
    }
    if (hits.length == 0) {
      output.innerHTML = "no hits found";
    }
  }

  var searchButton = document.getElementById("search-button");
  var resetButton = document.getElementById("reset-button");
  var aaInput = document.getElementById("aa-input");
  searchButton.onclick = function() {
    output.innerHTML = "Searching ...";
    var oReq = new XMLHttpRequest();
    oReq.addEventListener("load", reqListener);
    oReq.open("POST", "../_search?size=100");
    oReq.setRequestHeader('Content-Type', 'application/json');
    oReq.send('{"query": {"bool": {"filter":{"term":{"amino": "'+aaInput.value.trim().replace(/\n/g, '')+'"}}}}}');
  };
  resetButton.onclick = function() {
    output.innerHTML = "";
    aaInput.value = "";
  };
</script>